Retouren Handling
Process returns in VARIO Cloud via API, from receiving scans and matching documents to validating items, quantities, return causes and processing steps.
Return receiving and processing.
User input or scan.
Running process identifier.
Specific line identifier (optional).
Quantity (optional).
Action to perform.
Selected account.
Selected document.
Selected document line.
Selected component information of the return receiving line.
successful operation
Process number.
Process status.
Number of lines in the process.
Currently selected line identifier.
Scanned inputs for unknown articles.
Resource was not valid to process
POST /rma/returns/receiving/process-input HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 204
{
"inputData": "text",
"returnReceivingId": 1,
"returnReceivingLineId": 1,
"quantity": 1,
"action": "NONE",
"chosenAccountId": 1,
"chosenDocumentId": 1,
"chosenDocumentLineId": 1,
"chosenReturnReceivingComponentInfoId": 1
}{
"message": {
"messageCode": "text",
"messageParameters": {
"ANY_ADDITIONAL_PROPERTY": {}
},
"formattedMessage": "text"
},
"returnReceivingRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"returnReceivingNumber": "text",
"returnReceivingState": "text",
"returnCauseRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"lineCount": 1,
"lines": [],
"currentReturnReceivingLineId": 1,
"unknownArticleInputs": [
"text"
],
"documentRef": {
"id": 1,
"category": "CUSTOMER_OFFER",
"documentType": "text",
"documentState": "text",
"number": "text"
},
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"storageBinRef": {
"id": 1,
"displayName": "text",
"routePosition": 1,
"color": "text",
"storageRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
},
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"serialNumberRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"candidateDocumentLines": []
}User input or scan.
Running process identifier.
Specific line identifier (optional).
Quantity (optional).
Action to perform.
successful operation
Process number.
Process status.
Number of lines in the process.
Currently selected line identifier.
Scanned inputs for unknown articles.
Resource was not valid to process
POST /rma/returns/processing/process-input HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 97
{
"inputData": "text",
"returnReceivingId": 1,
"returnReceivingLineId": 1,
"quantity": 1,
"action": "NONE"
}{
"message": {
"messageCode": "text",
"messageParameters": {
"ANY_ADDITIONAL_PROPERTY": {}
},
"formattedMessage": "text"
},
"returnReceivingRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"returnReceivingNumber": "text",
"returnReceivingState": "text",
"returnCauseRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"lineCount": 1,
"lines": [],
"currentReturnReceivingLineId": 1,
"unknownArticleInputs": [
"text"
]
}Last updated
Was this helpful?